Query Video Task (Free
Method: GETEndpoint: /pika/feed/{taskId}
Field | Type | Notes This section contains endpoint-specific behavior, parameters, or usage notes for this API. promptText string Prompt This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Path Parameters
taskId
string
RequiredHeader Parameters
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Example Request
Shell
curl --location --request GET '/pika/feed/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'Response
🟢 200 Success
Content Type: application/json
Response Schema
objectExample
{
"id": "66e0818e-05fb-454e-b246-a6f253e9ffbf",
"promptText": "Plane fly",
"videos": [
{
"id": "66e0818e-05fb-454e-b246-a6f253e9ffbf",
"status": "finished",
"seed": 3183047765,
"resultUrl": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/Plane_fly_seed3183047765.mp4",
"sharingUrl": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/Plane_fly_seed3183047765_share.mp4",
"videoPoster": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/poster.jpg",
"imageThumb": "https://cdn.pika.art/v1/66e0818e-05fb-454e-b246-a6f253e9ffbf/thumbnail.jpg",
"duration": 5,
"error": "",
"progress": 100
}
]
}